## org.apache.maven.plugins.site
Class SiteMap

    java.lang.Object
      org.apache.maven.plugins.site.SiteMap

    public class SiteMap

extends java.lang.Object

Generate a sitemap.

Since:
  2.1
Version:
  $Id: SiteMap.java 890094 2009-12-13 19:31:42Z ltheussl $
Author:
  ltheussl

Constructor Summary
`SiteMap(java.lang.String encoding, org.codehaus.plexus.i18n.I18N i18n)`

Method Summary
`void` `generate(org.apache.maven.doxia.site.decoration.DecorationModel model, java.io.File targetDir, java.util.Locale locale)` Generates a sitemap.xml in targetDir/xdoc/.
`java.lang.String` `getEncoding()` Get the encoding to use when writing the output file.
`org.codehaus.plexus.i18n.I18N` `getI18n()` Get the value of i18n.
`void` `setEncoding(java.lang.String enc)` Set the encoding to use when writing the output file.
`void` `setI18n(org.codehaus.plexus.i18n.I18N i18n)` Set the value of i18n.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteMap

    public SiteMap(java.lang.String encoding,
                   org.codehaus.plexus.i18n.I18N i18n)

Method Detail

### getI18n

    public org.codehaus.plexus.i18n.I18N getI18n()

  Get the value of i18n.

  Returns:
    the value of i18n.

### setI18n

    public void setI18n(org.codehaus.plexus.i18n.I18N i18n)

  Set the value of i18n.

  Parameters:
    `i18n` - new value of i18n.

### getEncoding

    public java.lang.String getEncoding()

  Get the encoding to use when writing the output file.

  Returns:
    the value of encoding.

### setEncoding

    public void setEncoding(java.lang.String enc)

  Set the encoding to use when writing the output file.

  Parameters:
    `enc` - new value of encoding.

### generate

    public void generate(org.apache.maven.doxia.site.decoration.DecorationModel model,
                         java.io.File targetDir,
                         java.util.Locale locale)
                  throws java.io.IOException

  Generates a sitemap.xml in targetDir/xdoc/. This is a valid xdoc document that can be processed by a Doxia parser. The file lists all the menus and menu items of the DecorationModel in expanded form.

  Parameters:
    `model` - the DecorationModel to extract the menus from.
    `targetDir` - the target output directory. The file will be created in targetDir/xdoc/.
    `locale` - the Locale for the result.
  Throws:
    `java.io.IOException` - if the file cannot be ceated.

Copyright © 2011. All Rights Reserved.